%--------------------------------------------------------------------------
% File     : GEO002-2 : TPTP v2.1.0. Released v1.0.0.
% Domain   : Geometry (Tarskian)
% Axioms   : Substitution axioms for reflection axiom
% Version  : [Qua89] axioms.
% English  : 

% Refs     : [Tar59] Tarski (1959), What is Elementary Geometry?
%          : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [Qua89] Quaife (1989), Automated Development of Tarski's Geome
% Source   : [ANL]
% Names    : 

% Status   : 
% Syntax   : Number of clauses    :    2 (   0 non-Horn;   0 unit;   0 RR)
%            Number of literals   :    4 (   4 equality)
%            Maximal clause size  :    2 (   2 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    1 (   0 constant; 2-2 arity)
%            Number of variables  :    6 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(reflection_substitution1,axiom,
    [--equal(X,Y),
     ++equal(reflection(X,Z),reflection(Y,Z))]).

input_clause(reflection_substitution2,axiom,
    [--equal(A1,B1),
     ++equal(reflection(C1,A1),reflection(C1,B1))]).
%--------------------------------------------------------------------------
