%--------------------------------------------------------------------------
% File     : FLD038-3 : TPTP v2.1.0. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Side change of a term in an equation by multiplication, part 2
% Version  : [Dra93] axioms : Special.
%            Theorem formulation : Functional with re axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : unsatisfiable
% Rating   : ? v2.1.0
% Syntax   : Number of clauses    :   31 (   3 non-Horn;   8 unit;  31 RR)
%            Number of literals   :   82 (   0 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-3 arity)
%            Number of functors   :    8 (   4 constant; 0-2 arity)
%            Number of variables  :   73 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in FLD002-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD002-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(b_is_defined,conjecture,
    [++defined(b)]).

input_clause(not_sum_3,conjecture,
    [--sum(additive_identity,a,additive_identity)]).

input_clause(product_4,conjecture,
    [++product(b,multiplicative_inverse(a),multiplicative_identity)]).

input_clause(not_product_5,conjecture,
    [--product(multiplicative_identity,a,b)]).
%--------------------------------------------------------------------------
