%--------------------------------------------------------------------------
% File     : FLD043-1 : TPTP v2.1.0. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : The multiplication with 0 yields 0
% Version  : [Dra93] axioms : Special.
%            Theorem formulation : Functional with glxx axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : unknown
% Rating   : ? v2.1.0
% Syntax   : Number of clauses    :   29 (   3 non-Horn;   5 unit;  29 RR)
%            Number of literals   :   75 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :    7 (   3 constant; 0-2 arity)
%            Number of variables  :   50 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in FLD001-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD001-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(multiply_not_equal_to_additive_identity_2,conjecture,
    [--equalish(multiply(additive_identity,a),additive_identity)]).
%--------------------------------------------------------------------------
