%--------------------------------------------------------------------------
% File     : FLD049-2 : TPTP v2.1.0. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Fraction calculation, part 3
% Version  : [Dra93] axioms : Special.
%            Theorem formulation : Relational with glxx axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : unknown
% Rating   : ? v2.1.0
% Syntax   : Number of clauses    :   39 (   3 non-Horn;  15 unit;  39 RR)
%            Number of literals   :   85 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :   12 (   8 constant; 0-2 arity)
%            Number of variables  :   50 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in FLD001-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD001-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(b_is_defined,conjecture,
    [++defined(b)]).

input_clause(c_is_defined,conjecture,
    [++defined(c)]).

input_clause(d_is_defined,conjecture,
    [++defined(d)]).

input_clause(k_is_defined,conjecture,
    [++defined(k)]).

input_clause(s_is_defined,conjecture,
    [++defined(s)]).

input_clause(b_not_equal_to_additive_identity_7,conjecture,
    [--equalish(b,additive_identity)]).

input_clause(d_not_equal_to_additive_identity_8,conjecture,
    [--equalish(d,additive_identity)]).

input_clause(multiply_equals_s_9,conjecture,
    [++equalish(multiply(a,multiplicative_inverse(b)),s)]).

input_clause(multiply_equals_s_10,conjecture,
    [++equalish(multiply(c,multiplicative_inverse(d)),s)]).

input_clause(multiply_equals_k_11,conjecture,
    [++equalish(multiply(a,d),k)]).

input_clause(multiply_not_equal_to_k_12,conjecture,
    [--equalish(multiply(b,c),k)]).
%--------------------------------------------------------------------------
