%--------------------------------------------------------------------------
% File     : GRP003-1 : TPTP v2.1.0. Released v1.0.0.
% Domain   : Group Theory
% Problem  : The left identity is also a right identity
% Version  : [Cha70] axioms : Incomplete.
% English  : 

% Refs     : [Luc68] Luckham (1968), Some Tree-paring Strategies for Theore
%          : [Cha70] Chang (1970), The Unit Proof and the Input Proof in Th
%          : [CL73]  Chang & Lee (1973), Symbolic Logic and Mechanical Theo
% Source   : [Cha70]
% Names    : Example 2 [Luc68]
%          : Chang-Lee-3 [Cha70]
%          : EX3 [SPRFN]

% Status   : unsatisfiable
% Rating   : 0.22 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses    :    5 (   0 non-Horn;   3 unit;   3 RR)
%            Number of literals   :   11 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    1 (   0 propositional; 3-3 arity)
%            Number of functors   :    3 (   2 constant; 0-1 arity)
%            Number of variables  :   14 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(left_inverse,axiom,
    [++product(inverse(X),X,identity)]).

input_clause(left_identity,axiom,
    [++product(identity,X,X)]).

input_clause(associativity1,axiom,
    [--product(X,Y,U),
     --product(Y,Z,V),
     --product(U,Z,W),
     ++product(X,V,W)]).

input_clause(associativity2,axiom,
    [--product(X,Y,U),
     --product(Y,Z,V),
     --product(X,V,W),
     ++product(U,Z,W)]).

input_clause(prove_there_is_a_right_identity,conjecture,
    [--product(a,identity,a)]).
%--------------------------------------------------------------------------
