%--------------------------------------------------------------------------
% File     : LCL230-2 : TPTP v2.1.0. Released v1.0.0.
% Domain   : Logic Calculi (Propositional)
% Problem  : Principia Mathematica 2.85
% Version  : [Pel86] axioms.
% English  : Judged by [SRM73] to be the 'hardest' of the first 67 theorems
%            of [WR27].

% Refs     : [WR27]  Whitehead & Russell (1927), Principia Mathematica
%          : [SRM73] Siklossy et al. (1973), Breadth First Search: Some Sur
%          : [Pel86] Pelletier (1986), Seventy-five Problems for Testing Au
% Source   : [Pel86]
% Names    : Pelletier 5 [Pel86]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    4 (   1 non-Horn;   3 unit;   4 RR)
%            Number of literals   :    6 (   0 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    3 (   3 propositional; 0-0 arity)
%            Number of functors   :    0 (   0 constant; --- arity)
%            Number of variables  :    0 (   0 singleton)
%            Maximal term depth   :    0 (   0 average)

% Comments : 
% Bugfixes : v1.1.1 - Renamed from SYN043-1.
%--------------------------------------------------------------------------
input_clause(clause_1,conjecture,
    [--q,++p,++r]).

input_clause(clause_2,conjecture,
    [--p]).

input_clause(clause_3,conjecture,
    [++q]).

input_clause(clause_4,conjecture,
    [--r]).
%--------------------------------------------------------------------------
