%--------------------------------------------------------------------------
% File     : RNG029-6 : TPTP v2.1.0. Released v1.0.0.
% Domain   : Ring Theory (Alternative)
% Problem  : Middle Moufang identity
% Version  : [Ste87] (equality) axioms.
%            Theorem formulation : In terms of associators
% English  : 

% Refs     : [Ste87] Stevens (1987), Some Experiments in Nonassociative Rin
% Source   : [Ste87]
% Names    : m3 [Ste87]

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :   29 (   0 non-Horn;  17 unit;   4 RR)
%            Number of literals   :   42 (  42 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    9 (   4 constant; 0-3 arity)
%            Number of variables  :   65 (   2 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include nonassociative ring axioms 
include('Axioms/RNG003-0.ax').
%--------------------------------------------------------------------------
input_clause(prove_middle_moufang,conjecture,
    [--equal(multiply(multiply(x,y),multiply(z,x)),multiply(multiply(
x,multiply(y,z)),x))]).
%--------------------------------------------------------------------------
