%--------------------------------------------------------------------------
% File     : SYN037-2 : TPTP v2.1.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Andrews Challenge Problem Variant
% Version  : Special.
%            Theorem formulation : Different clausal form.
% English  : 

% Refs     : [DeC79] DeChampeaux (1979), Sub-problem Finder and Instance Ch
%          : [Pel86] Pelletier (1986), Seventy-five Problems for Testing Au
%          : [AZ89]  Angshuman & Zhang (1989), Andrews' Challenge Problem: 
%          : [Qua90] Quaife (1990), Andrews' Challenge Problem Revisited
% Source   : [Qua90]
% Names    : Theorem P [Qua90]

% Status   : unsatisfiable
% Rating   : 0.11 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses    :   22 (  13 non-Horn;   0 unit;  12 RR)
%            Number of literals   :   78 (   0 equality)
%            Maximal clause size  :    4 (   3 average)
%            Number of predicates :    5 (   3 propositional; 0-1 arity)
%            Number of functors   :   10 (   6 constant; 0-1 arity)
%            Number of variables  :   20 (  12 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,conjecture,
    [--m1,
     --m3,
     --p(X1),
     --p(fy(X1))]).

input_clause(clause_2,conjecture,
    [--m1,
     --m3,
     ++p(X1),
     ++p(fy(X1))]).

input_clause(clause_3,conjecture,
    [--m1,
     --p(cx),
     ++m3,
     ++p(Y4)]).

input_clause(clause_4,conjecture,
    [--m1,
     --p(Y5),
     ++m3,
     ++p(cx)]).

input_clause(clause_5,conjecture,
    [--m2,
     --m3,
     --q(cw),
     ++q(Z1)]).

input_clause(clause_6,conjecture,
    [--m2,
     --m3,
     --q(Z),
     ++q(cw)]).

input_clause(clause_7,conjecture,
    [--m2,
     --q(W2),
     --q(fz5(W2)),
     ++m3]).

input_clause(clause_8,conjecture,
    [--m2,
     ++m3,
     ++q(W2),
     ++q(fz5(W2))]).

input_clause(clause_9,conjecture,
    [--m3,
     --p(cx),
     ++m1,
     ++p(Y1)]).

input_clause(clause_10,conjecture,
    [--m3,
     --p(Y2),
     ++m1,
     ++p(cx)]).

input_clause(clause_11,conjecture,
    [--m3,
     --q(W1),
     --q(fz2(W1)),
     ++m2]).

input_clause(clause_12,conjecture,
    [--m3,
     ++m2,
     ++q(W1),
     ++q(fz2(W1))]).

input_clause(clause_13,conjecture,
    [--p(X2),
     --p(fy3(X2)),
     ++m1,
     ++m3]).

input_clause(clause_14,conjecture,
    [--q(cw),
     ++m2,
     ++m3,
     ++q(Z4)]).

input_clause(clause_15,conjecture,
    [--q(Z3),
     ++m2,
     ++m3,
     ++q(cw)]).

input_clause(clause_16,conjecture,
    [++m1,
     ++m3,
     ++p(X2),
     ++p(fy3(X2))]).

input_clause(clause_17,conjecture,
    [--m1,
     --q(U1),
     ++q(Uu1)]).

input_clause(clause_18,conjecture,
    [--m2,
     --p(V1),
     ++p(Vv1)]).

input_clause(clause_19,conjecture,
    [--p(cvv),
     ++m2]).

input_clause(clause_20,conjecture,
    [--q(cuu),
     ++m1]).

input_clause(clause_21,conjecture,
    [++m2,
     ++p(cv)]).

input_clause(clause_22,conjecture,
    [++m1,
     ++q(cu)]).
%--------------------------------------------------------------------------
