%--------------------------------------------------------------------------
% File     : SYN047-1 : TPTP v2.1.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 17
% Version  : Special.
% English  : A problem which appears to not be provable by [BBH72].
%            For details of why not, see [Pel82] p.135f.

% Refs     : Bledsoe W., Boyer R., Nenneman W. (1972), Computer Proofs of 
%          : [Pel82] Pelletier (1982), Completely Non-clausal, Completely H
%          : [Pel86] Pelletier (1986), Seventy-five Problems for Testing Au
% Source   : [Pel86]
% Names    : Pelletier 17 [Pel86]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    5 (   1 non-Horn;   2 unit;   5 RR)
%            Number of literals   :   10 (   0 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    4 (   4 propositional; 0-0 arity)
%            Number of functors   :    0 (   0 constant; --- arity)
%            Number of variables  :    0 (   0 singleton)
%            Maximal term depth   :    0 (   0 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,conjecture,
    [++p]).

input_clause(clause_2,conjecture,
    [--p,++q,++s]).

input_clause(clause_3,conjecture,
    [--p,--r,++s]).

input_clause(clause_4,conjecture,
    [--s]).

input_clause(clause_5,conjecture,
    [--q,++r]).
%--------------------------------------------------------------------------
