%--------------------------------------------------------------------------
% File     : SYN304-1 : TPTP v2.1.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Problem for testing satisfiability
% Version  : Special.
% English  : 

% Refs     : [BCP94] Bourely et al. (1994), A Method for Building Models Au
%          : [FL+93] Fermuller et al. (1993), Resolution Methods for the De
% Source   : [BCP94]
% Names    : Example 2 [BCP94]
%            EXAMPLE 7.8 [FL+93]

% Status   : satisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    8 (   1 non-Horn;   6 unit;   6 RR)
%            Number of literals   :   10 (   0 equality)
%            Maximal clause size  :    2 (   1 average)
%            Number of predicates :    4 (   0 propositional; 1-3 arity)
%            Number of functors   :    4 (   2 constant; 0-1 arity)
%            Number of variables  :    5 (   1 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++r(f(X),g(X),X),
     --p(X,f(X))]).

input_clause(clause2,conjecture,
    [++p(a,X)]).

input_clause(clause3,conjecture,
    [++r(f(a),g(a),a)]).

input_clause(clause4,conjecture,
    [++s(f(X),X,X),
     ++l(X)]).

input_clause(clause5,conjecture,
    [--s(f(X),X,a)]).

input_clause(clause6,conjecture,
    [--s(f(X),X,b)]).

input_clause(clause7,conjecture,
    [++l(a)]).

input_clause(clause8,conjecture,
    [++l(b)]).
%--------------------------------------------------------------------------
