%--------------------------------------------------------------------------
% File     : SYN339-1 : TPTP v2.1.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Church problem 46.15 (4)
% Version  : Special.
% English  : 

% Refs     : [Chu56] Church (1956), Introduction to Mathematical Logic I
%          : [FL+93] Fermuller et al. (1993), Resolution Methods for the De
%          : [Tam94] Tammet (1994), Email to Geoff Sutcliffe.
% Source   : [Tam94]
% Names    : Ch15N4 [Tam94]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    2 (   0 non-Horn;   2 unit;   1 RR)
%            Number of literals   :    2 (   0 equality)
%            Maximal clause size  :    1 (   1 average)
%            Number of predicates :    1 (   0 propositional; 3-3 arity)
%            Number of functors   :    1 (   0 constant; 1-1 arity)
%            Number of variables  :    4 (   2 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : All the problems here can be decided by using a certain
%            completeness-preserving term ordering strategies. See [FL+93].
%          : The conversion from the full 1st order form in [Chu56]
%            to clause form was done by hand by Tanel Tammet.
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++f(X,y(X),Z)]).

input_clause(clause2,conjecture,
    [--f(y(X),Z,Z)]).
%--------------------------------------------------------------------------
