%--------------------------------------------------------------------------
% File     : SYN378+1 : TPTP v2.1.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Peter Andrews Problem X2130
% Version  : Special.
% English  : 

% Refs     : [And86] Andrews (1986), An Introduction to Mathematical Logic 
%          : [And94] Andrews (1994), Email to G. Sutcliffe
% Source   : [And94]
% Names    : X2130 [Andrews, 1986]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :    4 (   0 equality)
%            Maximal formula depth :    5 (   5 average)
%            Number of connectives :    4 (   1 ~  ;   1  |;   0  &)
%                                         (   0 <=>;   2 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    2 (   0 propositional; 1-1 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :    3 (   2 singleton;   1 !;   2 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(x2130,conjecture,(
    ! [X] : big_p(X)
 => ( ~ ( ? [Y] : big_q(Y) )
    | ? [Z] : 
        ( big_p(Z)
       => big_q(Z) ) )   )).
%--------------------------------------------------------------------------
