%--------------------------------------------------------------------------
% File     : PUZ001-0 : TPTP v2.1.0. Released v1.0.0.
% Domain   : Puzzles (Mars and Venus)
% Axioms   : Substitution axioms for Mars and Venus axioms
% Version  : 
% English  : 

% Refs     : 
% Source   : [ANL]
% Names    : 

% Status   : 
% Syntax   : Number of clauses    :   10 (   0 non-Horn;   0 unit;  10 RR)
%            Number of literals   :   29 (  11 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    9 (   0 propositional; 1-2 arity)
%            Number of functors   :    1 (   0 constant; 1-1 arity)
%            Number of variables  :   22 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(a_truth_substitution1,axiom,
    [--equal(C,D),
     --a_truth(C),
     ++a_truth(D)]).

input_clause(female_substitution1,axiom,
    [--equal(E,F),
     --female(E),
     ++female(F)]).

input_clause(from_mars_substitution1,axiom,
    [--equal(G,H),
     --from_mars(G),
     ++from_mars(H)]).

input_clause(from_venus_substitution1,axiom,
    [--equal(I,J),
     --from_venus(I),
     ++from_venus(J)]).

input_clause(liar_substitution1,axiom,
    [--equal(K,L),
     --liar(K),
     ++liar(L)]).

input_clause(male_substitution1,axiom,
    [--equal(M,N),
     --male(M),
     ++male(N)]).

input_clause(says_substitution1,axiom,
    [--equal(O,P),
     --says(O,Q),
     ++says(P,Q)]).

input_clause(says_substitution2,axiom,
    [--equal(R,S),
     --says(T,R),
     ++says(T,S)]).

input_clause(statement_by_substitution1,axiom,
    [--equal(A,B),
     ++equal(statement_by(A),statement_by(B))]).

input_clause(truthteller_substitution1,axiom,
    [--equal(A1,B1),
     --truthteller(A1),
     ++truthteller(B1)]).
%--------------------------------------------------------------------------
