%--------------------------------------------------------------------------
% File     : CAT009-1 : TPTP v2.1.0. Released v1.0.0.
% Domain   : Category Theory
% Problem  : If xy is defined, then domain(xy) = domain(y)
% Version  : [Mit67] axioms.
% English  : 

% Refs     : [Mit67] Mitchell (1967), Theory of Categories
% Source   : [ANL]
% Names    : p9.ver1.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.67 v2.1.0, 0.60 v2.0.0
% Syntax   : Number of clauses    :   33 (   0 non-Horn;   9 unit;  24 RR)
%            Number of literals   :   79 (  22 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-3 arity)
%            Number of functors   :    5 (   2 constant; 0-2 arity)
%            Number of variables  :   88 (   5 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Mitchell's axioms for category theory 
include('Axioms/CAT001-0.ax').
include('Axioms/CAT001-0.eq').
%--------------------------------------------------------------------------
input_clause(ba_defined,hypothesis,
    [++defined(b,a)]).

input_clause(prove_domain_of_ba_equals_domain_of_a,conjecture,
    [--equal(domain(compose(b,a)),domain(a))]).
%--------------------------------------------------------------------------
