%--------------------------------------------------------------------------
% File     : FLD010-3 : TPTP v2.1.0. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : In the multiplicative group it holds: inverse(identity)=identity
% Version  : [Dra93] axioms : Special.
%            Theorem formulation : Functional with re axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : unsatisfiable
% Rating   : ? v2.1.0
% Syntax   : Number of clauses    :   28 (   3 non-Horn;   5 unit;  28 RR)
%            Number of literals   :   79 (   0 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-3 arity)
%            Number of functors   :    6 (   2 constant; 0-2 arity)
%            Number of variables  :   73 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in FLD002-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD002-0.ax').
%--------------------------------------------------------------------------
input_clause(not_sum_1,conjecture,
    [--sum(additive_identity,multiplicative_identity,additive_identity)]).

input_clause(not_product_2,conjecture,
    [--product(multiplicative_identity,multiplicative_inverse(
multiplicative_identity),multiplicative_identity)]).
%--------------------------------------------------------------------------
