%--------------------------------------------------------------------------
% File     : GEO003-2 : TPTP v2.1.0. Released v1.0.0.
% Domain   : Geometry
% Problem  : For all points x and y, y is between x and y
% Version  : [Qua89] axioms.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
%          : [Qua89] Quaife (1989), Automated Development of Tarski's Geome
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.09 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses    :   54 (   5 non-Horn;   8 unit;  25 RR)
%            Number of literals   :  134 (  70 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-4 arity)
%            Number of functors   :   10 (   5 constant; 0-6 arity)
%            Number of variables  :  261 (   3 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
include('Axioms/GEO002-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_b_between_a_and_b,conjecture,
    [--between(a,b,b)]).
%--------------------------------------------------------------------------
