%--------------------------------------------------------------------------
% File     : PLA012-1 : TPTP v2.1.0. Released v1.1.0.
% Domain   : Planning (Blocks world)
% Problem  : Block D on B on C
% Version  : [SE94] axioms.
% English  : 

% Refs     : [Sus73] Sussman (1973), A Computational Model of Skill Acquisi
%          : [SE94]  Segre & Elkan (1994), A High-Performance Explanation-B
% Source   : [SE94]
% Names    : - [SE94]

% Status   : unsatisfiable
% Rating   : 0.78 v2.1.0, 0.71 v2.0.0
% Syntax   : Number of clauses    :   31 (   0 non-Horn;  20 unit;  28 RR)
%            Number of literals   :   53 (   0 equality)
%            Maximal clause size  :    4 (   1 average)
%            Number of predicates :    2 (   0 propositional; 2-2 arity)
%            Number of functors   :   14 (   7 constant; 0-2 arity)
%            Number of variables  :   37 (   5 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : The axioms are a reconstruction of the situation calculus 
%            blocks world as in [Sus73].
%--------------------------------------------------------------------------
%----Include Blocks world axioms 
include('Axioms/PLA001-0.ax').
%----Include Blocks world difference axioms for 4 blocks 
include('Axioms/PLA001-1.ax').
%--------------------------------------------------------------------------
input_clause(prove_DBC,conjecture,
    [--holds(and(on(d,b),on(b,c)),State)]).
%--------------------------------------------------------------------------
