%--------------------------------------------------------------------------
% File     : RNG026-6 : TPTP v2.1.0. Released v1.0.0.
% Domain   : Ring Theory (Alternative)
% Problem  : Teichmuller Identity
% Version  : [Ste87] (equality) axioms.
% English  : 

% Refs     : [Ste87] Stevens (1987), Some Experiments in Nonassociative Rin
% Source   : [Ste87]
% Names    : Teichmuller Identity [Ste87]

% Status   : unsatisfiable
% Rating   : 0.67 v2.1.0, 0.88 v2.0.0
% Syntax   : Number of clauses    :   29 (   0 non-Horn;  17 unit;   4 RR)
%            Number of literals   :   42 (  42 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :   10 (   5 constant; 0-3 arity)
%            Number of variables  :   65 (   2 singleton)
%            Maximal term depth   :    7 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include nonassociative ring axioms 
include('Axioms/RNG003-0.ax').
%--------------------------------------------------------------------------
input_clause(prove_teichmuller_identity,conjecture,
    [--equal(add(add(associator(multiply(a,b),c,d),associator(a,b,
multiply(c,d))),additive_inverse(add(add(associator(a,
multiply(b,c),d),multiply(a,associator(b,c,d))),multiply(
associator(a,b,c),d)))),additive_identity)]).
%--------------------------------------------------------------------------
