%--------------------------------------------------------------------------
% File     : SET053-6 : TPTP v2.1.0. Bugfixed v2.1.0.
% Domain   : Set Theory
% Problem  : Corollary to Cartesian product axiom
% Version  : [Qua92] axioms.
% English  : 

% Refs     : [Qua92] Quaife (1992), Automated Deduction in von Neumann-Bern
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : ? v2.1.0
% Syntax   : Number of clauses    :  161 (   8 non-Horn;  32 unit;  96 RR)
%            Number of literals   :  334 ( 160 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :   10 (   0 propositional; 1-3 arity)
%            Number of functors   :   42 (  12 constant; 0-3 arity)
%            Number of variables  :  378 (  25 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : Not in [Qua92]. Extracted from Quaife's email.
% Bugfixes : v2.1.0 - Bugfix in SET004-0.ax.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_corollary_2_to_cartesian_product_1,conjecture,
    [++member(ordered_pair(u,v),cross_product(x,y))]).

input_clause(prove_corollary_2_to_cartesian_product_2,conjecture,
    [--member(v,universal_class)]).
%--------------------------------------------------------------------------
