%--------------------------------------------------------------------------
% File     : SYN009-1 : TPTP v2.1.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : A problem to demonstrate the usefulness of relevancy testing
% Version  : Special.
% English  : 

% Refs     : [WL89]  Wilson & Loveland (1989), Incorporating Relevancy Test
% Source   : [WL89]
% Names    : Figure 8 [WL89]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    7 (   1 non-Horn;   6 unit;   7 RR)
%            Number of literals   :   12 (   0 equality)
%            Maximal clause size  :    6 (   1 average)
%            Number of predicates :    4 (   0 propositional; 1-3 arity)
%            Number of functors   :    3 (   3 constant; 0-0 arity)
%            Number of variables  :    9 (   6 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,conjecture,
    [--p(c,X,Y)]).

input_clause(clause_2,conjecture,
    [--q(X,c,Y)]).

input_clause(clause_3,conjecture,
    [--r(X,Y,c)]).

input_clause(clause_4,conjecture,
    [++s(a)]).

input_clause(clause_5,conjecture,
    [++s(b)]).

input_clause(clause_6,conjecture,
    [++s(c)]).

input_clause(clause_7,conjecture,
    [--s(X),
     --s(Y),
     --s(Z),
     ++p(X,Y,Z),
     ++q(X,Y,Z),
     ++r(X,Y,Z)]).
%--------------------------------------------------------------------------
