%--------------------------------------------------------------------------
% File     : SYN044-1 : TPTP v2.1.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 10
% Version  : Special.
% English  : A reasonably simple probloem designed to see whether 'natural'
%            systems correctly manipulate premises.

% Refs     : [Pel86] Pelletier (1986), Seventy-five Problems for Testing Au
% Source   : [Pel86]
% Names    : Pelletier 10 [Pel86]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    6 (   2 non-Horn;   0 unit;   6 RR)
%            Number of literals   :   13 (   0 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    3 (   3 propositional; 0-0 arity)
%            Number of functors   :    0 (   0 constant; --- arity)
%            Number of variables  :    0 (   0 singleton)
%            Maximal term depth   :    0 (   0 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,axiom,
    [--q,++r]).

input_clause(clause_2,axiom,
    [--r,++p]).

input_clause(clause_3,axiom,
    [--r,++q]).

input_clause(clause_4,axiom,
    [--p,++q,++r]).

input_clause(clause_5,conjecture,
    [--p,--q]).

input_clause(clause_6,conjecture,
    [++p,++q]).
%--------------------------------------------------------------------------
