%--------------------------------------------------------------------------
% File     : SYN065-1 : TPTP v2.1.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 36
% Version  : Special.
% English  : 

% Refs     : [Pel86] Pelletier (1986), Seventy-five Problems for Testing Au
% Source   : [Pel86]
% Names    : Pelletier 36 [Pel86]
%          : p36.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    7 (   0 non-Horn;   3 unit;   5 RR)
%            Number of literals   :   15 (   0 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-2 arity)
%            Number of functors   :    3 (   1 constant; 0-1 arity)
%            Number of variables  :   15 (   1 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,axiom,
    [++big_f(X,f(X))]).

input_clause(clause_2,axiom,
    [++big_g(X,g(X))]).

input_clause(clause_3,axiom,
    [--big_f(X,Y),
     --big_f(Y,Z),
     ++big_h(X,Z)]).

input_clause(clause_4,axiom,
    [--big_f(X,Y),
     --big_g(Y,Z),
     ++big_h(X,Z)]).

input_clause(clause_5,axiom,
    [--big_g(X,Y),
     --big_f(Y,Z),
     ++big_h(X,Z)]).

input_clause(clause_6,axiom,
    [--big_g(X,Y),
     --big_g(Y,Z),
     ++big_h(X,Z)]).

input_clause(clause_7,conjecture,
    [--big_h(a,X)]).
%--------------------------------------------------------------------------
