%--------------------------------------------------------------------------
% File     : SYN307-1 : TPTP v2.1.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Problem for testing satisfiability
% Version  : Special.
% English  : 

% Refs     : [FL+93] Fermuller et al. (1993), Resolution Methods for the De
% Source   : [FL+93]
% Names    : EXAMPLE 3.2.3 [FL+93]

% Status   : satisfiable
% Rating   : 0.67 v2.1.0, 1.00 v2.0.0
% Syntax   : Number of clauses    :    4 (   1 non-Horn;   2 unit;   2 RR)
%            Number of literals   :    8 (   0 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    1 (   0 propositional; 3-3 arity)
%            Number of functors   :    2 (   2 constant; 0-0 arity)
%            Number of variables  :   10 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++p(X,Z,U),
     --p(X,Y,U),
     --p(Y,Z,U)]).

input_clause(clause2,conjecture,
    [++p(X,X,a)]).

input_clause(clause3,conjecture,
    [--p(X,Z,U),
     ++p(X,Y,U),
     ++p(Y,Z,U)]).

input_clause(clause4,conjecture,
    [--p(X,X,b)]).
%--------------------------------------------------------------------------
