%--------------------------------------------------------------------------
% File     : SYN312-1 : TPTP v2.1.0. Bugfixed v2.0.0.
% Domain   : Syntactic
% Problem  : Problem for testing satisfiability
% Version  : Special.
% English  : 

% Refs     : [FL+93] Fermuller et al. (1993), Resolution Methods for the De
% Source   : [FL+93]
% Names    : H3 [FL+93]

% Status   : unsatisfiable
% Rating   : 0.33 v2.1.0
% Syntax   : Number of clauses    :    8 (   0 non-Horn;   3 unit;   8 RR)
%            Number of literals   :   14 (   0 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 3-3 arity)
%            Number of functors   :    6 (   4 constant; 0-1 arity)
%            Number of variables  :   16 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
% Bugfixes : v2.0.0 - clause1 fixed.
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++p(X,X3,X2),
     --p(X,X1,X2),
     --p(X1,X3,X2)]).

input_clause(clause2,conjecture,
    [++p(X2,X1,X),
     --p(X,X1,X2)]).

input_clause(clause3,conjecture,
    [++p(X1,X,X2),
     --p(X,X1,X2)]).

input_clause(clause4,conjecture,
    [++p(X,X1,f(X2)),
     --p(X,X1,X2)]).

input_clause(clause5,conjecture,
    [++p(g(X),X1,X2),
     --p(X,X1,X2)]).

input_clause(clause6,conjecture,
    [++p(a,f(b),c)]).

input_clause(clause7,conjecture,
    [++p(f(b),d,c)]).

input_clause(clause8,conjecture,
    [--p(f(g(a)),f(g(d)),f(g(c)))]).
%--------------------------------------------------------------------------
