%--------------------------------------------------------------------------
% File     : SYN314-1.002:001 : TPTP v2.1.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Problem for testing satisfiability
% Version  : Special.
% English  :

% Refs     : [Fer94] Fermueller (1994), Email to G. Sutcliffe
% Source   : [Fer94]
% Names    : - [Fer94]

% Status   : unsatisfiable
% Rating   : 1.00 v2.1.0
% Syntax   : Number of clauses    :    2 (   1 non-Horn;   0 unit;   1 RR)
%            Number of literals   :    5 (   0 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    1 (   0 propositional; 4-4 arity)
%            Number of functors   :   10 (   1 constant; 0-1 arity)
%            Number of variables  :    8 (   1 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : [Fer94] claims that this is "out of range for any prover if
%            n,m>4 or so" (n,m being the two size parameters).
%          : tptp2X: -f tptp -s2:1 SYN314-1.g 
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++p(X0,f0(X0),X1,g0(X3)),
     ++p(X0,f1(X1),X2,g1(X3)),
     ++p(X0,f2(X2),X3,g2(X3))]).

input_clause(clause2,conjecture,
    [--p(h0,Y0,j0(Y1),Y2),
     --p(h1(Y0),Y1,j1(Y2),Y3)]).
%--------------------------------------------------------------------------
