%--------------------------------------------------------------------------
% File     : SYN325-1 : TPTP v2.1.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Church problem 46.9 (2)
% Version  : Special.
% English  : 

% Refs     : [Chu56] Church (1956), Introduction to Mathematical Logic I
%          : [FL+93] Fermuller et al. (1993), Resolution Methods for the De
%          : [Tam94] Tammet (1994), Email to Geoff Sutcliffe.
% Source   : [Tam94]
% Names    : Ch9N2 [Tam94]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    5 (   2 non-Horn;   1 unit;   3 RR)
%            Number of literals   :    9 (   0 equality)
%            Maximal clause size  :    2 (   1 average)
%            Number of predicates :    2 (   0 propositional; 1-2 arity)
%            Number of functors   :    1 (   0 constant; 1-1 arity)
%            Number of variables  :    5 (   1 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : All the problems here can be decided by using a certain
%            completeness-preserving term ordering strategies. See [FL+93].
%          : The conversion from the full 1st order form in [Chu56]
%            to clause form was done by hand by Tanel Tammet.
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++f(X,X),
     ++f(X,y(X))]).

input_clause(clause2,conjecture,
    [++f(X,X),
     ++g(X)]).

input_clause(clause3,conjecture,
    [--f(y(X),y(X)),
     ++f(X,y(X))]).

input_clause(clause4,conjecture,
    [--f(y(X),y(X)),
     ++g(X)]).

input_clause(clause5,conjecture,
    [--g(y(X))]).
%--------------------------------------------------------------------------
