%--------------------------------------------------------------------------
% File     : SYN352+1 : TPTP v2.1.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Church problem 46.18 (4)
% Version  : Special.
% English  : 

% Refs     : [Chu56] Church (1956), Introduction to Mathematical Logic I
% Source   : [Chu56]
% Names    : 46.18 (4) [Chu56]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :   11 (   0 equality)
%            Maximal formula depth :   10 (  10 average)
%            Number of connectives :   10 (   0 ~  ;   1  |;   1  &)
%                                         (   2 <=>;   6 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :    5 (   1 singleton;   3 !;   2 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(church_46_18_4,conjecture,(
    ! [X1,X2] : 
    ? [Y1,Y2] : 
    ! [Z] : 
      ( big_f(X1,X2)
     => ( ( big_f(Y1,Y2)
         => ( big_f(X2,Z)
            | big_f(Y2,Z) ) )
       => ( ( ( big_f(Y1,Y2)
             => ( big_f(X2,Z)
              <=> big_f(Y1,Z) ) )
           => big_f(Z,Z) )
         => ( big_f(Y1,Y2)
            & ( big_f(Y1,Z)
            <=> big_f(Y2,Z) ) ) ) ) )   )).
%--------------------------------------------------------------------------
