%--------------------------------------------------------------------------
% File     : TOP018-1 : TPTP v2.1.0. Released v1.0.0.
% Domain   : Topology
% Problem  : Propoerty of limits points and connected sets
% Version  : [WM89] axioms : Incomplete.
% English  : If limit points are added to a connected set, the result is 
%            connected.

% Refs     : [WM89]  Wick & McCune (1989), Automated Reasoning about Elemen
% Source   : [WM89]
% Names    : Problem 13 [WM89]

% Status   : satisfiable
% Rating   : 0.67 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses    :  112 (  23 non-Horn;   2 unit; 107 RR)
%            Number of literals   :  340 (   0 equality)
%            Maximal clause size  :    8 (   3 average)
%            Number of predicates :   22 (   0 propositional; 1-4 arity)
%            Number of functors   :   39 (   5 constant; 0-5 arity)
%            Number of variables  :  358 (  56 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : The axioms in this version are known to be incomplete. To
%            obtain a proof of this theorem it may be necessary to add
%            appropriate set theory axioms.
%--------------------------------------------------------------------------
%----Include Point-set topology axioms 
include('Axioms/TOP001-0.ax').
%--------------------------------------------------------------------------
input_clause(problem_13_159,conjecture,
    [++connected_set(a,cx,ct)]).

input_clause(problem_13_160,conjecture,
    [--element_of_set(Y,b),
     ++limit_point(Y,a,cx,ct)]).

input_clause(problem_13_161,conjecture,
    [--connected_set(union_of_sets(a,b),cx,ct)]).
%--------------------------------------------------------------------------
